Bug 260568 - first start of kword gives bad impression due template selection gui
Summary: first start of kword gives bad impression due template selection gui
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: usability (show other bugs)
Version: 2.2
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-26 11:26 UTC by Martin Koller
Modified: 2011-01-14 00:34 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of kword startup template selection (66.98 KB, image/png)
2010-06-26 11:27 UTC, David Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-12-17 19:41:15 UTC


---- Reported by kollix@aon.at 2010-06-26 11:26:13 ----

Version:           2.2 (using Devel) 
OS:                Linux

This is one of the "last mile" things in kword.
When you start kword for the first time, a template selection window is shown,
but the sub selection area of a template category (the list in the middle) is much too narrow (see screenshot). I can only see the icons (which, btw, look ugly and blurred), but the text its hidden.

Reproducible: Always



Expected Results:  
The middle column must be as wide as the widest text. There is plenty space available, it just needs to be used ;-)

OS: Linux (i686) release 2.6.31.12-0.2-desktop
Compiler: gcc

openSuse 11.2, KDE 4.5 beta2, koffice2-kword-2.2.0-8.10.i586



---- Additional Comments From kollix@aon.at 2010-06-26 11:27:11 ----

Created an attachment
screenshot of kword startup template selection



---- Additional Comments From zander@kde.org 2010-07-01 13:44:37 ----

There are more problems than just the splitter positions, I've been working together with some other people to write a better version.



--- Bug imported by faure@kde.org 2010-12-17 19:43  ---

This bug was previously known as bug 242856.

Imported an attachment (id=55026)

The original submitter of attachment 55026 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.

Comment 1 Sebastian Sauer 2011-01-14 00:34:19 UTC
This is fixed in Calligra Words with commit 69bf9d078238989fc968db8cfd906adafba012dd now. Thanks for your feedback :)